Skip to main content
POST
Reply to a button message

Description

This endpoint allows you to send a simulated response to messages that contain interactive buttons. Useful for automations that need to interact with buttons sent by other contacts or systems.

Body

Body Parameters

Status Codes

  • 200 - Response sent successfully
  • 400 - Invalid parameters
  • 401 - Unauthorized session
  • 404 - Session not found

Usage Example

Authorizations

apikey
string
header
required

Your Wappfy API key (get it at dash.wappfy.com.br)

Body

application/json
chatId
string
required
Example:

"5511999999999@c.us"

selectedDisplayText
string
required
selectedButtonID
string
required
session
string
required

Session name (instanceName)

Example:

"my-session"

replyTo
string

Message ID you want to reply to

Example:

null

Response

201 - undefined